.daily {
  flex: 0 0 calc(100% / 7);
  padding: 0 2rem;

  &:after {
    background-color: rgba($color: #fff, $alpha: .25);
    content: '';
    display: block;
    flex: 0 0 100%;
    height: 1px;
    margin: 5rem 0;
    width: 100%;
  }

  &:last-child {
    margin-bottom: 5rem;

    &:after {
      display: none;
    }
  }

  @include breakpoint($tablet) {
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;

    &:after {
      margin: 1rem 0;
    }

    &:last-child {
      margin-bottom: 1rem;
    }
  }

  @include breakpoint($large-desktop) {
    border-right: 1px solid rgba($color: #fff, $alpha: .25);
    flex-direction: column;
    padding: 0 .5rem;

    &:last-child {
      border: 0;
      margin-bottom: 0;
    }

    &:after {
      display: none;
    }
  }

  &__day {
    @include font-size(24, 24);
    font-weight: 900;
    text-align: center;
    text-transform: uppercase;

    @include breakpoint($tablet) {
      flex: 0 0 10rem;
    }

    @include breakpoint($large-desktop) {
      flex: 0 0 auto;
    }
  }

  &__icon {
    display: flex;
    height: 6rem;
    margin: 0 auto;
    max-width: 6rem;

    @include breakpoint($tablet) {
      margin: 0 3rem 0 0;
    }

    @include breakpoint($large-desktop) {
      margin: 0 auto;
    }

    svg {
      height: 6rem;
      width: 6rem;
    }
  }

  &__temps {
    @include font-size(14, 14);
    font-weight: 400;
    margin: 2rem 0;
    text-align: center;

    @include breakpoint($tablet) {
      margin-right: 3rem;
    }

    @include breakpoint($large-desktop) {
      margin-right: 0;
    }

    .low {
      margin-right: 2rem;
      position: relative;

      &:after {
        background-color: #ccc;
        bottom: -.5rem;
        content: '';
        display: inline-block;
        position: absolute;
        right: -1rem;
        top: -.5rem;
        width: 1px;
      }
    }

    .temp {
      @include font-size(20, 20);
      font-weight: 900;
    }
  }

  &__summary {
    @include font-size(14, 14);
    font-style: italic;
    font-weight: 400;
    text-align: center;
  }

  &__data {
    @include breakpoint($tablet) {
      display: flex;
      flex: 0 0 100%;
      justify-content: center;
      margin-bottom: 2rem;
      margin-top: 1rem;
    }

    @include breakpoint($desktop) {
      flex: auto;
      justify-content: flex-end;
      margin-bottom: 0;
      margin-left: auto;
      margin-top: 0;
    }

    @include breakpoint($large-desktop) {
      flex-direction: column;
      margin-bottom: 2rem;
      margin-left: 0;
    }

    p {
      @include font-size(14, 14);
      margin: 0;
      text-align: center;

      @include breakpoint($tablet) {
        &:after {
          content: '|';
          display: inline-block;
          margin: 0 1.5rem;
        }

        &:last-child {
          &:after {
            display: none;
          }
        }
      }

      @include breakpoint($large-desktop) {
        &:after {
          display: none;
        }
      }
    }
  }

}
